The Dependent Task object
Attributes
Unique identifier for the object.
{
"id": "dependent-task_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"task": "task_example"
} /api/projects/dependent-task?parent_id={id} List dependent tasks by parent
Returns all dependent tasks belonging to the specified parent.
Query parameters
The ID of the parent to list children for.
Returns
A list of dependent task objects belonging to the parent.
curl https://api.overplane.dev/api/projects/dependent-task?parent_id=parent_abc123 \
-H "Authorization: Bearer sk_test_..." {
"data": [
{
"id": "dependent-task_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"task": "task_example"
}
],
"has_more": false,
"total": 1
} /api/projects/dependent-task Create a dependent task
Creates a new dependent task object.
Body parameters
Returns
Returns the newly created dependent task object if the call succeeded.
curl https://api.overplane.dev/api/projects/dependent-task \
-H "Authorization: Bearer sk_test_..." \
-X POST \
-H "Content-Type: application/json" {
"id": "dependent-task_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"task": "task_example"
} /api/projects/dependent-task/{id} Update a dependent task
Updates the specified dependent task by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
The identifier of the dependent task to update.
Body parameters
Returns
Returns the updated dependent task object.
curl https://api.overplane.dev/api/projects/dependent-task/dependent-task_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X PATCH \
-H "Content-Type: application/json" \
-d '{"idx":1,"parent_id":null}' {
"id": "dependent-task_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"task": "task_example"
} /api/projects/dependent-task/{id} Delete a dependent task
Permanently deletes a dependent task. This cannot be undone.
Path parameters
The identifier of the dependent task to delete.
Returns
Returns a confirmation that the dependent task has been deleted.
curl https://api.overplane.dev/api/projects/dependent-task/dependent-task_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X DELETE {
"id": "dependent-task_abc123",
"deleted": true
} /api/projects/dependent-task/reorder Reorder dependent tasks
Updates the sort order of dependent tasks within their parent by setting new index values.
Returns
Returns the reordered list.
curl https://api.overplane.dev/api/projects/dependent-task/reorder \
-H "Authorization: Bearer sk_test_..." \
-X POST {
"id": "dependent-task_abc123",
"idx": 1,
"parent_id": null,
"parent_type": "parent_type_example",
"task": "task_example"
}